com.sun.syndication.io

## Interface DelegatingModuleGenerator

All Superinterfaces:
  ModuleGenerator

    public interface DelegatingModuleGenerator
    extends ModuleGenerator

Adds the ability to give a direct wire feed generator reference to plugin modules that need to call back to their wire feed to complete generation of their particular namespace. Examples of such parsers include the SSE091Generator.

### Method Summary

Methods
`void` `setFeedGenerator(WireFeedGenerator feedGenerator)` Provides a parent wirefeed reference to this ModuleParser, or "plugin-in".

### Methods inherited from interface com.sun.syndication.io.ModuleGenerator

`generate, getNamespaces, getNamespaceUri`

### Method Detail

#### setFeedGenerator

    void setFeedGenerator(WireFeedGenerator feedGenerator)

Provides a parent wirefeed reference to this ModuleParser, or "plugin-in".

Parameters:
  `feedGenerator` - the parent wirefeed generator for this plugin.